<style>
  .br-card {
    min-height: 350px;
  }

  .br-card .card-content p {
    font-size: var(--font-size-scale-base);
  }

  .main-content a {
    text-decoration: none;
  }

  .card-img {
    margin-bottom: var(--spacing-scale-2x);
    background-image: linear-gradient(to bottom, #e7f0f5, #d9ebf5);
  }
</style>

<section>
  <h6>Visão Geral</h6>
  <!-- INTRODUÇÃO -->
  <p>
    Fundamentos visuais são os elementos básicos de design desenvolvidos para o Padrão Digital de Governo. Eles
    estabelecem uma linguagem visual consistente e coerente para todo design system. Os fundamentos visuais abordam
    temas importantes como cores, ilustrações, movimentos, tipografias, espaçamentos, sistemas de grids, ícones, entre
    outros. Todos esses elementos são cuidadosamente projetados de forma independente e global e se adéquam ao estilo
    visual do design system. Além disso, suas diretrizes foram claramente estabelecidas, garantindo que todos tenham uma
    compreensão compartilhada de como cada fundamento deve ser aplicado. O objetivo desta abordagem é oferecer um design
    system robusto e consistente a fim de criar experiências únicas e coesas a todos os usuários.
  </p>
  <hr />
  <br />
</section>

<section>
  <div class="row">
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/fundamentos-visuais/cores">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Cores</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/cores-preview.png" class="img-fluid" alt="Cores" />
          </div>
          <div>
            <p>
              A aplicação correta da paleta de cores visa trazer consistência ao Design System e contribuir para
              garantir uma interface unificada e facilmente reconhecível pelos seus usuários.
            </p>
          </div>
        </div>
      </a>
    </div>
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/fundamentos-visuais/iconografia">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Iconografia</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/iconografia-preview.png" class="img-fluid" alt="Iconografia" />
          </div>
          <div>
            <p>
              Os ícones são representações gráficas que podem simbolizar uma ação, comunicar ao usuário possibilidades
              de mudança de estados entre os elementos de uma interface ou apenas ser uma representação gráfica de uma
              ação ou informação textual.
            </p>
          </div>
        </div>
      </a>
    </div>
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/fundamentos-visuais/espacamento">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Espaçamento</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/espacamento-preview.png" class="img-fluid" alt="Espaçamento" />
          </div>
          <div>
            <p>
              Espaçamento é a distância entre um elemento a outro, representado por alguma unidade métrica. O
              espaçamento é um fundamento do design visual que frequentemente cria uma lacuna entre os designers e os
              desenvolvedores ao projetar uma interface.
            </p>
          </div>
        </div>
      </a>
    </div>
  </div>

  <div class="row">
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/fundamentos-visuais/estados">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Estados</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/estados-preview.png" class="img-fluid" alt="Estados" />
          </div>
          <div>
            <p>
              Estados são representações visuais para feedbacks interativos ou informacionais relacionados aos elementos
              na interface. Devem ser consistentes, estabelecendo confiança entre interface e usuário.
            </p>
          </div>
        </div>
      </a>
    </div>
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/fundamentos-visuais/ilustracao">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Ilustração</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/ilustracao-preview.png" class="img-fluid" alt="Ilustração" />
          </div>
          <div>
            <p>
              Ilustração é uma imagem que comunica um estado de forma mais amigável. As ilustrações ajudam a transmitir
              ideias simples ou complexas de maneira objetiva. Eles devem ser significativas e refletir o contexto e o
              estado emocional do usuário.
            </p>
          </div>
        </div>
      </a>
    </div>
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/fundamentos-visuais/grid">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Sistema de Grid</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/grids-preview.png" class="img-fluid" alt="Sistema de Grid" />
          </div>
          <div>
            <p>
              Grid (ou malha) é uma estrutura geométrica constituída por eixos desenvolvida para auxiliar o alinhamento
              de elementos gráficos e textuais em uma composição visual.
            </p>
          </div>
        </div>
      </a>
    </div>
  </div>

  <div class="row">
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/fundamentos-visuais/superficie">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Superfície</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/superficie-preview.png" class="img-fluid" alt="Superfície" />
          </div>
          <div>
            <p>Superfície é qualquer forma indivisível que pode conter um ou mais elementos.</p>
          </div>
        </div>
      </a>
    </div>
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/fundamentos-visuais/elevacao">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Elevação</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/elevacao-preview.png" class="img-fluid" alt="Elevação" />
          </div>
          <div>
            <p>
              Elevação é um aspecto importante na organização do layout pois permite que o usuário entenda a relação
              hierárquica entre diferentes elementos na tela.
            </p>
          </div>
        </div>
      </a>
    </div>
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/fundamentos-visuais/movimento">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Movimento</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/motion-preview.png" class="img-fluid" alt="Movimento" />
          </div>
          <div>
            <p>
              Movimento é qualquer macro ou micro animação que altera os atributos visuais de um objeto na tela durante
              um tempo determinado podendo ocorrer de forma automática, por meio de uma interação ou pelo controle do
              usuário.
            </p>
          </div>
        </div>
      </a>
    </div>
  </div>

  <div class="row">
    <div class="col-md-4">
      <a class="br-card d-flex flex-column flex-fill hover" href="/ds/fundamentos-visuais/tipografia">
        <div class="card-header">
          <p class="text-up-02 text-weight-bold my-0">Tipografia</p>
        </div>
        <div class="card-content">
          <div class="card-img d-flex justify-content-center align-itens-center">
            <img src="imagens/tipografia-preview.png" class="img-fluid" alt="Tipografia" />
          </div>
          <div>
            <p>
              Para a apresentação dos elementos textuais do Design System do Governo Federal, somente uma família de
              fonte é utilizada: a Rawline. Sua escolha foi feita devido à diversidade de pesos da fonte que facilita o
              uso e a criação de hierarquias entre os textos, bem como a compreensão dos elementos da tela.
            </p>
          </div>
        </div>
      </a>
    </div>
  </div>
</section>
